Bug 62287 - Reproducible lockup with OpenGL, G400 DRI, "starwars" screensaver
Reproducible lockup with OpenGL, G400 DRI, "starwars" screensaver
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
Blocks: screensaver
  Show dependency treegraph
Reported: 2002-03-28 23:44 EST by Bill Crawford
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-21 17:43:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X server config (15.09 KB, text/plain)
2002-03-29 18:23 EST, Bill Crawford
no flags Details
X server log (from a healthy X session :o) (25.65 KB, text/plain)
2002-03-29 18:25 EST, Bill Crawford
no flags Details
log excerpt around a freeze, inc. Alt-SysRq-T output (110.71 KB, text/plain)
2002-03-29 19:14 EST, Bill Crawford
no flags Details

  None (edit)
Description Bill Crawford 2002-03-28 23:44:56 EST
Description of Problem:
The display freezes solid when running the "starwars" screensaver.  Only occurs
when starwars uses the /usr/src/linux-$( uname -r )/README file as text input. 
Generally occurs around line 18-20.  Only seems to occur when a few programs
have been started up, after there has been some noticeable swap activity; from a
cold boot, starting X and running the screensaver doesn't trigger the problem
immediately, but when I have some applications open and there's fair bit of
memory in use it always happens.

Version-Release number of selected component (if applicable):
(happens with either kernel)

I havn't seen this problem until very recently, after updating to Skipjack, so
I'm pretty sure this has appeared with either the 2.4.18 kernel or a recent
XFree86 version.  Could be either, really.  Will try tomorrow with an older
Comment 1 Mike A. Harris 2002-03-29 06:06:25 EST
Please attach X config, X server log, and /var/log/messages
Comment 2 Bill Crawford 2002-03-29 18:23:43 EST
Created attachment 51428 [details]
X server config
Comment 3 Bill Crawford 2002-03-29 18:25:19 EST
Created attachment 51429 [details]
X server log (from a healthy X session :o)
Comment 4 Bill Crawford 2002-03-29 19:14:14 EST
Created attachment 51431 [details]
log excerpt around a freeze, inc. Alt-SysRq-T output
Comment 5 Bill Crawford 2002-03-29 19:18:50 EST
Apologies for not including that earlier, I guess I sorta assumed you'd be able
to reproduce it.

You'll notice from the log that I have the framebuffer module loaded (console at
800x600-100, depth 0) but not the usefbdev option for the X server; that's
intentional as I've always had the "big white block with garbage" cursor when
I've enabled that option.  Having the framebuffer device has always improved
stability in the past (especially when switching to/from the console), but I can
test without if it might help.

I havn't tried the older kernel yet, sorry.
Comment 6 Mike A. Harris 2002-05-30 02:02:58 EDT
Bug 65491 seems related possibly.
Comment 7 Mike A. Harris 2002-09-01 19:51:01 EDT
We have a fix for this now, but it is a kernel bug in DRM, not
an XFree86 bug.  The changes to DRM are a bit invasive to make
to our kernel at this point in the development cycle, so it will
have to wait until an erratum kernel later on.  It should fix
pretty much all GL screensaver related crash problems on all
video hardware.

Comment 8 Mike A. Harris 2002-09-12 00:37:53 EDT
This problem is believed to be fixed now, and affected pretty much
all DRI enabled drivers.  Please test the latest rawhide X and
kernel either using the Red Hat Linux (Null) beta, or once the new
release of Red Hat Linux is completed and released.  After testing
this out with our latest kernel/X, please provide updated status, and
if the problem persists, please attach your X server log and config

Most likely however, the problem will not occur in the lastest

Comment 9 Mike A. Harris 2002-12-21 17:43:48 EST
CLosing as fixed in 8.0 + errata

Note You need to log in before you can comment on or make changes to this bug.